#
# Setups up the package version to <major>-<rsvnrev>
# Saves the result to src/version
#

def write_version_file( path, version):

    if not os.path.isdir(path):
        try:
            os.makedirs(path)
        except:
            print 'Failed to create directory: ' + path
            pass

    file = path + '/version'
    file = file.replace("//","/")

    f = open(file, 'w')
    f.write(version + '\n')
    f.close()

def read_version_file( path):
    file = path + '/version'
    file = file.replace("//","/")
    try:
        f = open(file, 'r')
    except:
        print 'Failed to read file: ' + file
        return ''
    version=f.read().rstrip()
    f.close()
    return version

python __anonymous () {
    import subprocess
    import os
    import bb
    import re
    import time

    updatedversion=0
    package=str(d.getVar('PN', True))
    #print package + ": Execute svn-version.inc"

    thisdir=d.getVar('THISDIR', True)
    package= package + ': '
    #print package + 'This dir: ' + thisdir

    # look for the first file:// entry in src_uri
    src_uri=d.getVar('SRC_URI', True)
    src_entry=src_uri.split();
    match = re.findall(r'(?<=file:\/\/)[^ ]*',src_uri)
    if match:
        file=match[0]
    else:
        file=''
    #print package + 'Checking for ' + file

    # find the first file://<filename> in one of the FILEPATH entries
    filepath=d.getVar('FILESPATH', True).split(':')
    dir = ''
    versiondir = str(thisdir) + '/files/'

    for dir in filepath:
        testpath=str(dir) + '/' + str(file)
        testpath=testpath.replace("//","/")
        if os.path.isfile(testpath):
            break
        if os.path.isdir(testpath):
            dir=testpath
            break

    # if not found just try the default
    if dir == '':
        dir = str(thisdir) + '/files/'

    #print package + 'Using dir: ' + dir
    #print package + 'Version dir: ' + versiondir

    # get major version from receipe
    major = bb.parse.BBHandler.vars_from_file(d.getVar('FILE'),d)[1] or '1.0'
    #print package + "Major: " + str(major)
    version=str(major)

    #use svn version to query revision
    svnrev=''
    try:
        #svnrev=subprocess.check_output(["svnversion", str(dir)])
        svnrev = os.popen('(svnversion -n -c ' + dir + ' | sed -e "s/.*://") 2>/dev/null').read()

    except:
        pass

    #print package + svnrev
    if len(svnrev) > 0:
        svnrev=str(svnrev).strip()
        m=re.findall(r'\d+M?',svnrev)
        if m != None and len(m) > 0:
            #print m
            svnrev=m[0]
        else:
            svnrev=''

    if len(svnrev) > 0:
        updatedversion=1
        #print package + "Revision: " + svnrev
        version=str(major) + 'r' + str(svnrev)
    else:
        #print package + 'Try to read svn version from /version'
        ver= read_version_file(versiondir)
        if len(ver) > 0:
            version=str(ver)
        else:
            #print("Failed to read version from file, try again in a second")
            time.sleep(1)
            ver= read_version_file(versiondir)
            if len(ver) > 0:
                version=str(ver)
            else:
                print("Failed to read version from file again, fallback to 0.")
                version=str(major)+'r0'
                write_version_file(versiondir, version)

    #print package + "Version: " + str(version)

    #Create 'version' file to use in source code and for later usage in the bsp
    #Write version file when we got the version from svn
    if updatedversion:
        write_version_file(versiondir, version)
    d.setVar('PV', version)
    d.setVar('SRC_URI', src_uri + ' file://version')
    d.setVar('SVNVERSION',version)

    #print package + "Done svn-version.inc"
}

# vim: tabstop=8 expandtab shiftwidth=4 softtabstop=4

