
yocto_packets="${DEPLOY_DIR_IMAGE}/${IMAGE_BASENAME}-${MACHINE}-standard-packages.html"
guf_packets="${DEPLOY_DIR_IMAGE}/${IMAGE_BASENAME}-${MACHINE}-guf-packages.html"

html_header(){
	echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\"" > $1
	echo "		\"http://www.w3.org/TR/html4/loose.dtd\">" >> $1
	echo "<html>" >> $1
	echo "<head>" >> $1
	echo "	<link rel=\"stylesheet\" type=\"text/css\" href=\"../../common/style.css\" />" >> $1
	echo "</head>" >> $1
	echo "<body>" >> $1
	echo "	<div id=\"content\">" >> $1
	echo "		<table class=\"sort\">" >> $1
	echo "			<tr class=\"tableheader\"><td style=\"width:36%\">Package name</td><td>Version</td><td>Description</td></tr>" >> $1
}

html_footer(){
	echo "		</table>" >> $1
	echo "	</div>" >> $1
	echo "</body>" >> $1
	echo "</html>" >> $1
}

do_htmlpacketlist(){

	html_header ${yocto_packets}
	html_header ${guf_packets}


	cat ${BUILDHISTORY_DIR_IMAGE}/installed-packages.txt |
	while read line;
	do 
		package=$(find  ${DEPLOY_DIR}/rpm -name $line)

		name=$( rpm -qvip  $package        | grep      "Name        :" | awk '{print $3}')
		vers=$( rpm -qvip  $package        | grep      "Version     :" | awk '{print $3}')
		release=$( rpm -qvip  $package     | grep      "Release     :" | awk '{print $3}')
		summary=$( rpm -qvip  $package     | grep      "Summary     :" | cut -c 15-)
		description=$( rpm -qvip  $package | grep -A 1 "Description :" | tail -n 1 )
		url=$( rpm -qvip  $package         | grep      "URL         :" | awk '{print $3}' )
		group=$( rpm -qvip  $package       | grep      "Group       :" | awk '{print $3}')

		if [ "${summary}" = "" ] 
		then
			summary="$description"
		fi

		if [ "${group}" = "guf" ]
		then
			target_file=${guf_packets}
		else
			target_file=${yocto_packets}
		fi

		if [ "${url}" != "" ]
		then
		    echo "\t\t<tr><td class=\"tableleft\"> <a href=\"${url}\">${name}</a></td><td>${vers}-${release}</td><td>${summary}</td></tr>"	>> ${target_file}
		else
		    echo "\t\t<tr><td class=\"tableleft\">${name}</td><td>${vers}-${release}</td><td>${summary}</td></tr>"	>> ${target_file}
		fi
	done

	html_footer ${yocto_packets}
	html_footer ${guf_packets}
}
addtask htmlpacketlist after do_rootfs before do_release
