
include recipes-core/images/core-image-base.bb
include guf-image-package-list.inc
include guf-image-release.inc
inherit populate_sdk_qt5

# Set OE_QMAKE_STRIP in SDK environment script
toolchain_create_sdk_env_script_append () {
    echo 'export OE_QMAKE_STRIP=${SDKPATHNATIVE}${bindir}/${HOST_SYS}/${STRIP}' >> $script
}

# Make each platform have a dedicated SDK sysroot folder
REAL_MULTIMACH_TARGET_SYS = "${MULTIMACH_TARGET_SYS}"

IMAGE_FEATURES += "package-management debug-tweaks \
	${@base_contains('DISTRO_FEATURES', 'x11', 'x11-base', '', d)} \
	"
DISTRO_FEATURES += "pulseaudio "
DISTRO_FEATURES_append_mx3 = " opengl "
WEB = "web-webkit"

SOC_EXTRA_IMAGE_FEATURES ?= "tools-testapps"

# Add extra image features
EXTRA_IMAGE_FEATURES += " \
	${SOC_EXTRA_IMAGE_FEATURES} \
	nfs-server \
	tools-debug \
"

# Increases image size as it includes vmlinux, so only add it if needed
IMAGE_INSTALL_GUF_DEBUG = " \
	tools-profile \
"

SOC_IMAGE_INSTALL = ""

# GuF standard packages
IMAGE_INSTALL_GUF_STANDARD = " \
	bootscript \
	can-utils \
	canutils \
	cpufrequtils \
	libmdb \
	log4cplus \
	imx-mdb-guf \
	mdbtest \
	openssh openssh-sftp openssh-sftp-server openssh-keys \
	packagegroup-guf-tools-testapps \
	sharedconf \
	watchdog \
	xconfig \
	ifplugd \
	ntpd \
	procps \
	telnet \
	nano \
	vim \
	curl \
	e2fsprogs \
	tzdata tzdata-europe \
	packagegroup-guf-python3 \
	wpa-supplicant \
	iw \
	linux-firmware-ralink \
	cmd-line-env \
	obexftp \
	util-linux-chrt \
	trace-cmd \
	fuse \
	fuse-utils \
	sshfs-fuse \
	cifs-utils \
	gftools \
	machine-name \
	dtc \
	\
	iotools \
	gfi2c \
	binutils \
	crond \
	p7zip \
	coreutils \
	"

# GuF packages for graphics and touch support
IMAGE_INSTALL_GRAPHICS_X11 = " \
	gst-plugins-gl-meta \
	glcompbench \
	xf86-video-fbdev xf86-input-tslib\
	xev \
	xterm \
	x11vnc \
	packagegroup-guf-chromium-deps \
	xclock \
	mtdev \
	"

IMAGE_INSTALL_GRAPHICS = " \
	${@base_contains('DISTRO_FEATURES', 'x11', ' ${IMAGE_INSTALL_GRAPHICS_X11} ', '', d)} \
	cinematicexperience \
	gfeeprom \
	eetii2c \
	egalaxi2c \
	eGTouch \
	esensor-tester \
	eupdate2 \
	liberation-fonts \
	linux-firmware-k2 \
	linux-firmware-pinnacle \
	packagegroup-fonts-truetype \
	packagegroup-fsl-gstreamer \
	packagegroup-guf-qt5 \
    qt4-guf-demo \
    qt4-guf-webdemo \
	qwt \
	fbv \
	fbtest \
	hdmiconfig \
	"

#IMAGE_INSTALL_GRAPHICS += " \
#	chromium \
#	\
#	"


# SANTARO packages
SOC_IMAGE_INSTALL_mx6 = " \
	${IMAGE_INSTALL_GUF_STANDARD} \
	${IMAGE_INSTALL_GRAPHICS} \
	bootselect \
	fng-install \
	g-serial \
	linux-firmware-sd8787 \
	gpu-viv-g2d gpu-viv-bin-mx6q glmark2 fsl-gpu-sdk \
	${@base_contains('DISTRO_FEATURES', 'x11', '\
			xserver-xorg-extension-viv-hdmi \
			xf86-video-imxfb-vivante \
			', '', d)} \
	"

# VINCELL and VINCELL-LT packages
SOC_IMAGE_INSTALL_mx5 = " \
	${IMAGE_INSTALL_GUF_STANDARD} \
	${IMAGE_INSTALL_GRAPHICS} \
	g-serial \
	libegl-mesa \
	libgl-mesa \
	libgles2-mesa \
	mesa-driver-swrast \
	"

DEPENDS_mx3 = " \
	mesa \
	"

IMAGE_INSTALL += " \
	${SOC_IMAGE_INSTALL} \
	"
# Remove base-extended as it contains ofono and nfc which we don't need 
IMAGE_INSTALL_remove =" packagegroup-base-extended "
IMAGE_INSTALL +=" packagegroup-base "

# Use this line to include wayland (must be enabled in DISTRO_FEATURES)
#IMAGE_INSTALL += "packagegroup-guf-wayland"

# Use this line to include X11 matchbox desktop
#IMAGE_FEATURES += "x11-sato"

PACKAGE_EXCLUDE = " \
	u-boot \
	u-boot-fslc \
	"

export IMAGE_BASENAME = "guf-image"

# Ensure our custom kernel headers and ALSA headers are included in SDK
TOOLCHAIN_TARGET_TASK += "kernel-dev alsa-dev"

