DESCRIPTION = "Additional packages for TeX Live"
SECTION = "console/utils"
LICENSE = "CLOSED"

DEPENDS = "texlive-native"

SRC_URI = " \
	http://mirrors.ctan.org/install/fonts/urw/arial.tds.zip;subdir=${BPN};name=arial \
"

SRC_URI[arial.md5sum] = "7ed7a371902e1c059b3dee14efdd3a94"
SRC_URI[arial.sha256sum] = "22382e8763002e9bb677728398739d4e84fdd803a81fffb03623b67b6cb8a1bc"

S = "${WORKDIR}/${BPN}"

inherit native

do_configure() {
	# Rename fonts folder to make it visible for texlive
	mv ${S}/fonts/type ${S}/fonts/type1
}

TEXMF_LOCAL_INSTALL_DIR = "${D}${STAGING_DATADIR_NATIVE}/texmf-local"

do_install() {
	cp -rv ${S}/* ${TEXMF_LOCAL_INSTALL_DIR}

	# Update searchpath
	texhash ${TEXMF_LOCAL_INSTALL_DIR}

	# Register arial font with "updmap-sys"
	touch ${TEXMF_LOCAL_INSTALL_DIR}/web2c/updmap.cfg
	TEXMFLOCAL=${D}${STAGING_DIR_NATIVE}/usr/share/texmf-local \
		updmap-sys --nohash --enable Map=ua1.map \
		--cnffile ${TEXMF_LOCAL_INSTALL_DIR}/web2c/updmap.cfg \
		--dvipsoutputdir ${D}${STAGING_DIR_NATIVE}/var/lib/texmf/fonts/map/dvips/updmap \
		--pdftexoutputdir ${D}${STAGING_DIR_NATIVE}/var/lib/texmf/fonts/map/pdftex/updmap \
		--dvipdfmxoutputdir ${D}${STAGING_DIR_NATIVE}/var/lib/texmf/fonts/map/dvipdfmx/updmap
}
do_install[dirs] = "${TEXMF_LOCAL_INSTALL_DIR}/web2c"
