DESCRIPTION = "TeX Live"
SECTION = "console/utils"
LICENSE = "LICENSE.TL"
HOMEPAGE = "https://www.tug.org/texlive/"

DEPENDS = "cairo-native freetype-native icu-native libpng-native lua-native pixman-native zlib-native"

SRC_URI = " \
	ftp://tug.org/texlive/historic/2014/${BPN}-${PV}-source.tar.xz;name=source \
	ftp://tug.org/texlive/historic/2014/${BPN}-${PV}-texmf.tar.xz;name=texmf \
	ftp://tug.org/texlive/historic/2014/${BPN}-${PV}-extra.tar.xz;name=extra \
	file://builtin-searchpath.patch \
	file://perl-scripts-inc-path.patch \
"

SRC_URI[source.md5sum] = "09ee265ff51637827559affc7304078c"
SRC_URI[source.sha256sum] = "08bb4eb02923ac65ce1183612c6b64da185904f26a1660f5ca4f902d055795be"
SRC_URI[texmf.md5sum] = "645a6f1d3a0ef4a9c279dae02588eab7"
SRC_URI[texmf.sha256sum] = "e0227251c5aa23f8b88973c298cc80b03bd238c645f7f82a6ce888a06b295963"
SRC_URI[extra.md5sum] = "35e3c6a4d0a69ce9c7b26e93942bcebb"
SRC_URI[extra.sha256sum] = "637c7ce1a6d8f6a352082a0eeb311761f31ce974d2a81d0bf06ceabeb59796fe"

LIC_FILES_CHKSUM = "file://${WORKDIR}/${BPN}-${PV}-extra/LICENSE.TL;md5=292ebab0010c345dfcc5d8bb47e7a9bc"

S = "${WORKDIR}/${BPN}-${PV}-source"
B = "${WORKDIR}/${BPN}-${PV}-build"
TEXMFDIR = "${WORKDIR}/${BPN}-${PV}-texmf/texmf-dist"
EXTRADIR = "${WORKDIR}/${BPN}-${PV}-extra/tlpkg"

inherit native autotools

EXTRA_OECONF += "\
	--disable-native-texlive-build \
	--disable-static \
	--enable-shared \
	--with-system-cairo \
	--with-system-freetype2 \
	--with-system-icu \
	--with-system-libpng \
	--with-system-lua \
	--with-system-pixman \
	--with-system-zlib \
	--without-x \
	--disable-xdvik \
	--disable-xetex \
	--disable-xindy \
	--disable-xpdfopen \
	--with-banner-add="/Yocto ${DISTRO}" \
"

# Skip automake and autoconf
do_configure() {
	oe_runconf
}

do_install_append() {
	# Call target "texlinks" in order to have all symlinks created
	oe_runmake DESTDIR=${D} texlinks
	# Copy texmf-dist and tlpkg folders from extra tarballs
	cp -rnv ${TEXMFDIR} ${D}${STAGING_DATADIR_NATIVE}
	cp -rnv ${EXTRADIR} ${D}${STAGING_DATADIR_NATIVE}/texmf-dist
}
