# See http://docs.openembedded.ru/update-rc-d_class.html for documentation on
# OpenEmbedded's update-rc.d mechanism

DESCRIPTION = "EETI eGalax USB binary driver daemon"

SRC_URI = " \
          file://etc \
          file://usr \
          "

inherit update-rc.d

LICENSE = "CLOSED"

INITSCRIPT_NAME = "eGTouchD"
INITSCRIPT_PARAMS = ""

#Prevent QA errors related to binary
INHIBIT_PACKAGE_DEBUG_SPLIT = "1"
INSANE_SKIP_${PN} = "ldflags"

do_install() {

    #Install eGTouchD link in /usr/bin
    install -d ${D}${bindir}
    install -m 0755 ${WORKDIR}/usr/bin/eGTouchD ${D}${bindir}/eGTouchD

	#Install start service
	install -d ${D}${sysconfdir}/init.d
	install -m 0755 ${WORKDIR}/etc/init.d/eGTouchD ${D}${sysconfdir}/init.d/eGTouchD

	#Install udev rules
    install -d ${D}${sysconfdir}/udev/rules.d
	install -m 0755 ${WORKDIR}/etc/udev/rules.d/eGTouchD.rules ${D}${sysconfdir}/udev/rules.d/eGTouchD.rules
	
	#Install config file
	install -m 0755 ${WORKDIR}/etc/eGTouchL.ini ${D}${sysconfdir}/eGTouchL.ini

}

FILES_${PN} = " \
    ${bindir}/eGTouchD \
    ${sysconfdir}/init.d/eGTouchD \
    ${sysconfdir}/udev/rules.d/eGTouchD.rules \
    ${sysconfdir}/eGTouchL.ini \
    "
