SUMMARY = "Frame buffer image viewer"
HOMEPAGE = "http://www.eclis.ch/fbv/"

inherit autotools

LICENSE = "GPLv2"
LIC_FILES_CHKSUM = "file://COPYING;md5=130f9d9dddfebd2c6ff59165f066e41c"

SECTION = "graphics"
DEPENDS = "libpng jpeg giflib"
INHIBIT_PACKAGE_STRIP = "1"

SRC_URI = " \
			git://repo.or.cz/fbv.git;rev=127dd84cede022cd5173ff2d7450677a14486784 \
			file://remove-hardcoded-cc-from-make.patch \
			file://use-giflib.patch \
			"
S = "${WORKDIR}/git"

do_configure() {
	${S}/configure --prefix=/usr --bindir=${bindir}  --without-bmp 
}

do_install_prepend() {
    install -d ${D}${bindir}
    install -d ${D}/usr/man/man1
}

FILES_${PN}-doc = " \
	/usr/man/man1/${PN}.1.gz \
	"
