SUMMARY = "Freetype font rendering library"
DESCRIPTION = "FreeType is a software font engine that is designed to be small, efficient, \
highly customizable, and portable while capable of producing high-quality output (glyph \
images). It can be used in graphics libraries, display servers, font conversion tools, text \
image generation tools, and many other products as well."
HOMEPAGE = "http://www.freetype.org/"
BUGTRACKER = "https://savannah.nongnu.org/bugs/?group=freetype"

LICENSE = "FreeType | GPLv2"
LIC_FILES_CHKSUM = "file://docs/license.txt;md5=0f4b902fc0ba61b2c99064addef8abda \
                    file://docs/FTL.txt;md5=a2fa9b5b09f02bc5b220e0f806043d52 \
                    file://docs/GPL.txt;md5=e43fc16fccd8519fba405f0a0ff6e8a3"

SECTION = "libs"

SRC_URI = "${SOURCEFORGE_MIRROR}/freetype/freetype-${PV}.tar.bz2 \
"

SRC_URI[md5sum] = "09775a4111e066f782866d8a57d8481b"
SRC_URI[sha256sum] = "193bbfaf4f0679820a16733084bc9ccc5b50eb55f9fd4d793cffc3192229582e"

S = "${WORKDIR}/freetype-${PV}"

inherit autotools pkgconfig binconfig

LIBTOOL = "${S}/builds/unix/${HOST_SYS}-libtool"
EXTRA_OEMAKE = "'LIBTOOL=${LIBTOOL}'"
EXTRA_OEMAKE_class-native = ""
EXTRA_OECONF = "CC_BUILD='${BUILD_CC}'"

do_configure() {
	cd builds/unix
	libtoolize --force --copy
	aclocal -I .
	gnu-configize --force
	autoconf
	cd ${S}
	oe_runconf
}

do_configure_class-native() {
	(cd builds/unix && gnu-configize) || die "failure running gnu-configize"
	oe_runconf
}

BBCLASSEXTEND = "native"

