SUMMARY = "Garz & Fricke platform bootscript for RedBoot/FNGBoot"
require conf/guf-receipe.inc

inherit deploy
inherit release

SRC_URI = "file://boot.cfg"

S = "${WORKDIR}"

DEPLOY_KERNEL = "${KERNEL_IMAGETYPE}-${MACHINE}.bin"
DEPLOY_DEVICETREE = "${KERNEL_DEVICETREE}"
DEPLOY_DEVICETREE_PREFIX = "${KERNEL_IMAGETYPE}-"
DEPLOY_SCRIPT_NAME = "boot-${MACHINE}.cfg"

do_deploy() {
    install -m 0644 ${S}/boot.cfg ${DEPLOYDIR}/${DEPLOY_SCRIPT_NAME}
	sed -i "s/@KERNEL@/${DEPLOY_KERNEL}/g"  ${DEPLOYDIR}/${DEPLOY_SCRIPT_NAME}
	sed -i "s/@DEVICETREE@/${DEPLOY_DEVICETREE}/g" ${DEPLOYDIR}/${DEPLOY_SCRIPT_NAME}
	sed -i "s/@DEVICETREE_PREFIX@/${DEPLOY_DEVICETREE_PREFIX}/g" ${DEPLOYDIR}/${DEPLOY_SCRIPT_NAME}
}
addtask do_deploy after do_install

RELEASE_KERNEL = "${RELEASE_PREFIX}linuximage.bin"
RELEASE_DEVICETREE = "${KERNEL_DEVICETREE}"
RELEASE_DEVICETREE_PREFIX = "${RELEASE_PREFIX}"
RELEASE_SCRIPT_NAME = "${RELEASE_PREFIX}boot.cfg"

do_release() {
	install -m 0644 ${S}/boot.cfg ${RELEASEDIR}/${RELEASE_SCRIPT_NAME}
	sed -i "s/@KERNEL@/${RELEASE_KERNEL}/g" ${RELEASEDIR}/${RELEASE_SCRIPT_NAME}
	sed -i "s/@DEVICETREE@/${RELEASE_DEVICETREE}/g" ${RELEASEDIR}/${RELEASE_SCRIPT_NAME}
	sed -i "s/@DEVICETREE_PREFIX@/${RELEASE_DEVICETREE_PREFIX}/g" ${RELEASEDIR}/${RELEASE_SCRIPT_NAME}
}
addtask do_release after do_install

# We do not install anything to the root file system
ALLOW_EMPTY_${PN} = "1"
