DESCRIPTION = "Garz & Fricke Yocto User Manual"
require conf/guf-receipe.inc
SECTION = "documentation"
LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://${COMMON_LICENSE_DIR}/MIT;md5=0835ade698e0bcf8506ecda2f7b4f302"
PR = "r0"

inherit deploy
inherit release

DEPENDS = " texlive-native texlive-addons-native"

FILESEXTRAPATHS_prepend := "${THISDIR}:"

SRC_URI = " \
	file://documentation \
	file://platform.tex \
	"

S = "${WORKDIR}/documentation"
B = "${WORKDIR}/documentation-build"

do_configure() {
	cp -r ${S}/* ${B}
	cp ${WORKDIR}/platform.tex ${B}/yocto/
	sed -i "s/@VERSION@/${DISTRO_VERSION}/g" ${B}/yocto/GF_Yocto_Manual.tex
	sed -i "s/@DATE@/$(date +"%d.%m.%Y")/g" ${B}/yocto/GF_Yocto_Manual.tex
	
	# Collect external generated files
	#cp ${DEPLOYDIR}/boot-imx6guf.cfg ${S}/boot.cfg
}

do_compile() {
	DOCUMENTATION_PDFLATEX="pdflatex --interaction=errorstopmode"

	cd ${B}/yocto
	${DOCUMENTATION_PDFLATEX} GF_Yocto_Manual.tex
	${DOCUMENTATION_PDFLATEX} GF_Yocto_Manual.tex
}

do_deploy() {
	install -m 0644 ${B}/yocto/GF_Yocto_Manual.pdf ${DEPLOYDIR}/GF_Yocto_Manual-${MACHINE}.pdf
}
addtask deploy after do_install

do_release() {
	install -m 0644 ${B}/yocto/GF_Yocto_Manual.pdf ${RELEASEDIR}/${RELEASE_PREFIX}Manual.pdf
}
addtask release after do_build

PACKAGE_ARCH = "${MACHINE_ARCH}"
