#include <fcntl.h>
#include <stdio.h>
#include <string.h>
#include <unistd.h>
#include <sys/ioctl.h>
#include <sys/mman.h>
#include <linux/soundcard.h>


#define LENGTH 30    /* how many seconds of speech to store */
#define RATE 16000   /* the sampling rate */
#define SIZE 16      /* sample size: 8 or 16 bits */
#define CHANNELS 1   /* 1 = mono 2 = stereo */
#define WAV "/usr/share/dspplayer/sound/gong1.wav"


int OpenFile(char *name, int mode)
{
  int Fdesc =open(name,mode);
  if(Fdesc<0)
    {
      printf("Error: cannot open %s \n",name);
      return -1;
    }
  return Fdesc;
}

int main(int argc, char **argv)
{
  char file[256]=WAV;
  int size=SIZE;
  int rate=RATE;
  int channels=CHANNELS;
  int arg;
  int fd;
  int fdwav;

  /* this buffer holds the digitized audio */
  int bufsize=(LENGTH*rate*size*channels)/8;
  unsigned char buf[bufsize];

  printf("length=%d, rate=%d, size%d, channels=%d, file=%s, bufsize=%d\n",
	 LENGTH, rate, size, channels, file, bufsize);

  fd=OpenFile("/dev/dsp",O_RDWR);
  fdwav=OpenFile(file,O_RDWR);

  //set rate, size, channels
  arg = size;      /* sample size */
  if(ioctl(fd, SOUND_PCM_WRITE_BITS, &arg))
    perror("Error while setting SOUND_PCM_WRITE_BITS");
  if (arg != size)
    perror("unable to set sample size");

  arg = channels;  /* mono or stereo */
  if(ioctl(fd, SOUND_PCM_WRITE_CHANNELS, &arg))
    perror("Error while setting SOUND_PCM_WRITE_CHANNELS");
  if (arg != channels)
    perror("unable to set number of channels");

  arg = rate;      /* sampling rate */
  if(ioctl(fd,SOUND_PCM_WRITE_RATE, &arg))
    perror("Error while setting SOUND_PCM_WRITE_RATE");
  if (arg != rate)
    perror("unable to set rate");


  //play
  bufsize = 4096;
  int rd=read(fdwav, buf, bufsize);
  printf("rd=%d\n",rd);
  while(rd)
  {
    write(fd,buf,rd);
    rd=read(fdwav, buf, bufsize);
    printf("rd=%d\n",rd);
  }

  close(fd);
  close(fdwav);

  return 0;
}
