SUMMARY = "Garz & Fricke install script for Flash-N-Go System"
require conf/guf-receipe.inc

inherit deploy
inherit release

SCRIPT_NAME = "fng-install.sh"
PKG_NAME = "pkg.py"

COMPATIBLE_MACHINE = "mx6"

SRC_URI = " \
	file://${SCRIPT_NAME} \
	file://${PKG_NAME} \
	"

S = "${WORKDIR}"

ROOTFS_TYPE = "ext4"
DEPLOY_ROOTFS = "guf-image-${MACHINE}.tar.gz"
DEPLOY_KERNEL = "${KERNEL_IMAGETYPE}-${MACHINE}.bin"
DEPLOY_BOOTSCRIPT = "boot-${MACHINE}.cfg"
DEPLOY_PKG_NAME = "${PKG_NAME}"
DEPLOY_DEVICETREE = "${KERNEL_DEVICETREE}"
DEPLOY_DEVICETREE_PREFIX = "${KERNEL_IMAGETYPE}-"

do_deploy() {
	install -m 0755 ${S}/${SCRIPT_NAME} ${DEPLOYDIR}/${SCRIPT_NAME}
	sed -i "s/@ROOTFS@/${DEPLOY_ROOTFS}/g" ${DEPLOYDIR}/${SCRIPT_NAME}
	sed -i "s/@KERNEL@/${DEPLOY_KERNEL}/g" ${DEPLOYDIR}/${SCRIPT_NAME}
	sed -i "s/@ROOTFS_TYPE@/${ROOTFS_TYPE}/g" ${DEPLOYDIR}/${SCRIPT_NAME}
	sed -i "s/@BOOTSCRIPT@/${DEPLOY_BOOTSCRIPT}/g" ${DEPLOYDIR}/${SCRIPT_NAME}
	sed -i "s/@DEVICETREE@/${DEPLOY_DEVICETREE}/g" ${DEPLOYDIR}/${SCRIPT_NAME}
	sed -i "s/@DEVICETREE_PREFIX@/${DEPLOY_DEVICETREE_PREFIX}/g" ${DEPLOYDIR}/${SCRIPT_NAME}
	sed -i "s/@BOOTLOADER_MINIMAL_VERSION@/${BOOTLOADER_MINIMAL_VERSION}/g" ${DEPLOYDIR}/${SCRIPT_NAME}
	install -m 0755 ${S}/${PKG_NAME} ${DEPLOYDIR}/${DEPLOY_PKG_NAME}
	sed -i "s/@ROOTFS_TYPE@/${ROOTFS_TYPE}/g" ${DEPLOYDIR}/${DEPLOY_PKG_NAME}
}
addtask do_deploy after do_install

RELEASE_SCRIPT_NAME = "${RELEASE_PREFIX}${SCRIPT_NAME}"
RELEASE_ROOTFS = "${RELEASE_PREFIX}root.tar.gz"
RELEASE_KERNEL = "${RELEASE_PREFIX}linuximage.bin"
RELEASE_BOOTSCRIPT = "${RELEASE_PREFIX}boot.cfg"
RELEASE_PKG_NAME = "${RELEASE_PREFIX}${PKG_NAME}"
RELEASE_DEVICETREE = "${KERNEL_DEVICETREE}"
RELEASE_DEVICETREE_PREFIX = "${RELEASE_PREFIX}"

do_release() {
	install -m 0755 ${S}/${SCRIPT_NAME} ${RELEASEDIR}/${RELEASE_SCRIPT_NAME}
	sed -i "s/@ROOTFS@/${RELEASE_ROOTFS}/g" ${RELEASEDIR}/${RELEASE_SCRIPT_NAME}
	sed -i "s/@KERNEL@/${RELEASE_KERNEL}/g" ${RELEASEDIR}/${RELEASE_SCRIPT_NAME}
	sed -i "s/@BOOTSCRIPT@/${RELEASE_BOOTSCRIPT}/g" ${RELEASEDIR}/${RELEASE_SCRIPT_NAME}
	sed -i "s/@ROOTFS_TYPE@/${ROOTFS_TYPE}/g" ${RELEASEDIR}/${RELEASE_SCRIPT_NAME}
	sed -i "s/${SCRIPT_NAME}/${RELEASE_SCRIPT_NAME}/g" ${RELEASEDIR}/${RELEASE_SCRIPT_NAME}
	sed -i "s/@DEVICETREE@/${RELEASE_DEVICETREE}/g" ${RELEASEDIR}/${RELEASE_SCRIPT_NAME}
	sed -i "s/@DEVICETREE_PREFIX@/${RELEASE_DEVICETREE_PREFIX}/g" ${RELEASEDIR}/${RELEASE_SCRIPT_NAME}
	sed -i "s/@BOOTLOADER_MINIMAL_VERSION@/${BOOTLOADER_MINIMAL_VERSION}/g" ${RELEASEDIR}/${RELEASE_SCRIPT_NAME}
	
	install -m 0755 ${S}/${PKG_NAME} ${RELEASEDIR}/${RELEASE_PKG_NAME}
	sed -i "s/@ROOTFS_TYPE@/${ROOTFS_TYPE}/g" ${RELEASEDIR}/${RELEASE_PKG_NAME}
}
addtask do_release after do_install

# We do not install anything to the root file system
ALLOW_EMPTY_${PN} = "1"
