
function read_first()
{
    if [ -r "$1" ]
    then
        cat "$1"
        return 0
    fi
    echo $(basename "$i")
}
function read_number()
{
    if [ -r "$1" ]
    then
        a=`read_first "$1"`
        b=$(($a / 1000))
        echo $b
        return 0
    fi
    echo "0"
}
contains() {
    string="$1"
    substring="$2"
    if test "${string#*$substring}" != "$string"
    then
        return 0    # $substring is in $string
    else
        return 1    # $substring is not in $string
    fi
}

already_printed()
{
    a=`basename "$1"`

	# Remove -SUPPLY
	a=${a%-SUPPLY}

    for b in $done
    do
        #echo $b
        if [ "$a" == "$b" ]
        then
            return 0
        fi
    done
    done="$done $a"
    return 1
}

function dump_one()
{
    local i=$1
    local depth=$2
    local nextdepth=$(( $depth + 4 ))
    local namelen=$(( 40 - $depth))

    if [ $depth -gt 0 ]
    then
        space=" |-- "
    else
        space=""

    fi

    name=`read_first $i/name`

    if already_printed "$i"
    then 
        return 0
    fi

    microvolts=`read_number "$i/microvolts"`
    max=`read_number "$i/max_microvolts"`
    min=`read_number "$i/min_microvolts"`


    #printf "%-${depth}s%-4s%-${namelen}s   % 6d mV    % 6d mV    % 6d mV    %-16s\n" " " "$space" "$name" $microvolts $max $min "$(basename $i)"
    
	printf "%-${depth}s%-4s%-${namelen}s   % 6d mV    % 6d mV    % 6d mV    %-16s\n" " " "$space" "$name" $microvolts $max $min "$(basename $i)"

    for j in $(ls "$i")
    do 
        if [ -L "$i/$j" ] && [ "device" != "$j" ] && [ "subsystem" != "$j" ]
        then
            if contains "$j" "regulator"
            then
                dump_one "$i/$j" $nextdepth
            else
                printf "    %-${depth}s |-- %-16s\n" " " "$j" 
            fi
        fi
    done
}

function dump_regs()
{
    done=""
    printf "        %-32s          %-7s        %-6s       %-6s   %-13s    \n"  "Name" "Voltage" "Max V" "Min V" "Device"
    for i in $(find /sys/class/regulator -iname regulator.\*);
    do 
        dump_one "$i" 0
    done
}
dump_regs


