#include "windows.h"
#include <stdlib.h>
#include <signal.h>

/* HACK: distinguish between old and new*
         microwindows */
#ifndef WM_HOTKEY
#define MW_91_20090128
#endif

static int screen_width = 0;
static int screen_height = 0 ;

static 	HWND	hwnd;

static 	char filepath[512];

volatile sig_atomic_t quit = 0;

#define APPCLASS	"Garz & Fricke Microwindows Display Test"

/* forward decls*/
LRESULT CALLBACK WndProc(HWND hwnd,UINT uMsg,WPARAM wp,LPARAM lp);
LRESULT CALLBACK ChildWndProc(HWND hwnd,UINT uMsg,WPARAM wp,LPARAM lp);

void
shutdown(int sig){
	PostMessage(hwnd, WM_CLOSE, 0, 0);
}

int
RegisterAppClass(void)
{
	WNDCLASS	wc;

	wc.style = CS_DBLCLKS | CS_VREDRAW | CS_HREDRAW;
	wc.lpfnWndProc = (WNDPROC)WndProc;
	wc.cbClsExtra = 0;
	wc.cbWndExtra = 0;
	wc.hInstance = 0;
	wc.hIcon = 0;
	wc.hCursor = 0;
	wc.hbrBackground = (HBRUSH)GetStockObject(GRAY_BRUSH);
	wc.lpszMenuName = NULL;
	wc.lpszClassName =  APPCLASS;
	RegisterClass( &wc);

	return 1;
}

HWND
CreateAppWindow(void)
{
	RECT 	screen;

	/* Get fullscreen size */
	GetWindowRect(GetDesktopWindow(), &screen);
	screen_width = screen.right - screen.left;
	screen_height = screen.bottom - screen.top;
	printf("Screen: %dx%d\n", screen_width, screen_height);
	hwnd = CreateWindowEx(WS_EX_LAYERED, APPCLASS,
		APPCLASS,
		WS_DLGFRAME | WS_VISIBLE,
		0, 0,
		screen_width, screen_height,
		NULL, NULL, NULL, NULL);

	return hwnd;
}

LRESULT CALLBACK
WndProc(HWND hwnd, UINT msg, WPARAM wp, LPARAM lp)
{
    PAINTSTRUCT ps;
	HBRUSH		hbr;
	static int rgba_comp = 3;
	
	switch(msg) {
	case WM_PAINT:
		BeginPaint(hwnd, &ps);
		switch(rgba_comp) {
			case 3: /* white background */				
				hbr = CreateSolidBrush(RGB(255, 255, 255));
				break;
			case 2: /* blue screen */				
				hbr = CreateSolidBrush(RGB(0, 0, 255));
				break;
			case 1: /* green screen */
				hbr = CreateSolidBrush(RGB(0, 255, 0));
				break;
			case 0: /* red screen */
			default:
				hbr = CreateSolidBrush(RGB(255, 0, 0));
				break;
		}
		SelectObject(ps.hdc, hbr);
		Rectangle(ps.hdc, 0, 0, screen_width, screen_height);
		if(rgba_comp == 3) {
			DrawImageFromFile(ps.hdc, (screen_width-640)/2, (screen_height-480)/2,
				640, 480, "/usr/share/mw-display-test/images/test.bmp");
		}
		EndPaint(hwnd, &ps);
		break;
	case WM_LBUTTONDOWN:
		printf("TOUCH DOWN\n");
		if(rgba_comp == 3)
			rgba_comp = 0;
		else
			rgba_comp++;
		InvalidateRect(hwnd, NULL, TRUE);
		break;
	case WM_DESTROY:
		PostQuitMessage(WM_QUIT);
		break;
	default:
		return DefWindowProc(hwnd, msg, wp, lp);
	}
	return( 0);
}

int WINAPI 
WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine,
	int nShowCmd)
{
	MSG msg;
	HWND hwnd;
	
	RegisterAppClass();

	/* must update root window until alpha blend blitting
	 * uses off screen memory for hidden windows, rather than
	 * screen memory*/
	UpdateWindow(GetDesktopWindow());

	hwnd = CreateAppWindow();


	while( GetMessage(&msg, NULL, 0, 0)) {
		TranslateMessage(&msg);
		DispatchMessage(&msg);
	}

	return 0;
}
