SUMMARY = "Garz & Fricke Microwindows demo"
require conf/guf-receipe.inc

DEPENDS += "microwindows"

inherit update-rc.d

FILESEXTRAPATHS_prepend := "${THISDIR}:"

SRC_URI = "file://mw-guf-demo \
		   file://init.d/mw-guf-demo \
	"

S = "${WORKDIR}/mw-guf-demo"
PR = "r1"

CFLAGS_append = " -lgcc_s -lm -lmwin -lfreetype -lz -ljpeg -lpng -lpthread -lts  \
	 ${@base_contains('DISTRO_FEATURES', 'x11', \
        '-lX11', '', d)} \
		-O3 -D_REENTRANT -I${STAGING_INCDIR}/microwin -I${STAGING_INCDIR}/freetype2 "

PDATA_DIR = "${datadir}/${PN}"

# Usually each machine has its own images folder. Some machines, though,
# support multiple hardware platforms. This variable can be overridden in
# the machine config in order to install multiple image folders.
MW_GUF_DEMO_IMAGES_SUBDIRS ?= "${MACHINE}"

do_install () {
	install -d ${D}${bindir}
	install -m 0755 mw-guf-demo ${D}${bindir}

	# Init script
	install -d ${D}${sysconfdir}/init.d
	install -m 0755 ${WORKDIR}/init.d/mw-guf-demo ${D}${sysconfdir}/init.d/mw-guf-demo

	# Images
	for platform in ${MW_GUF_DEMO_IMAGES_SUBDIRS}; do
		cd ${S}
		for dir in `find images/${platform} -type d`; do
			install -d ${D}${PDATA_DIR}/$dir
		done
		for file in `find images/${platform} -type f`; do
			install -m 0664 $file ${D}${PDATA_DIR}/$file
		done
	done
}

FILES_${PN}="${bindir}/* ${libdir}/* ${PDATA_DIR}/* ${sysconfdir}/init.d/mw-guf-demo"

INITSCRIPT_NAME = "mw-guf-demo"
INITSCRIPT_PARAMS = "defaults 95 5"

PARALLEL_MAKE = ""
