#include "windows.h"
#include <stdlib.h>
#include <signal.h>

/* HACK: distinguish between old and new*
         microwindows */
#ifndef WM_HOTKEY
#define MW_91_20090128
#endif

static int screen_width = 0;
static int screen_height = 0 ;

static 	HWND	hwnd;

static HDC	hdcMemButtons0;
static HBITMAP hbmpButtons0, hbmpButtons0Org;
static HDC	hdcMemButtons1;
static HBITMAP hbmpButtons1, hbmpButtons1Org;
static RECT rc;


#ifdef MW_91_20090128
int image_id_buttons_all_0 = -1;
int image_id_buttons_all_1 = -1;
#else
static PSD image_id_buttons_all_0 = NULL;
static PSD image_id_buttons_all_1 = NULL;
#endif

/* App deometry */
static unsigned int header_height = 0;
static unsigned int menu_buttons_x = 0;
static unsigned int menu_buttons_y = 0;
static unsigned int menu_button_width = 0;
static unsigned int menu_button_height = 0;
static unsigned int off_button_width = 0;
static unsigned int off_button_height = 0;
static unsigned int off_button_y_offset = 0;
static unsigned int slideshow_button_width = 0;
static unsigned int slideshow_button_height = 0;
static unsigned int right_button_width = 0;
static unsigned int right_button_height = 0;
static unsigned int slider_x_offset = 0;
static unsigned int slider_y_offset = 0;
static unsigned int slider_width = 0;
static unsigned int slider_height = 0;
static unsigned int slider_x_raw_offset = 0;
static unsigned int slider_y_raw_offset = 0;
static unsigned int background_label_width = 0;
static unsigned int background_label_height = 0;
static unsigned int digits_x_offset = 0;
static unsigned int digits_y_offset = 0;
static unsigned int digits_width = 0;
static unsigned int digits_height = 0;
static unsigned int digits_1_2_offset = 0;
static unsigned int digits_2_3_offset = 0;
static unsigned int video_x_offset = 0;
static unsigned int video_y_offset = 0;
static unsigned int video_width = 0;
static unsigned int video_height = 0;
static unsigned int num_menu_buttons = 0;
static unsigned int num_menu_buttons_per_line = 0;

static 	char filepath[512];

volatile sig_atomic_t quit = 0;

#define APPCLASS	"Garz & Fricke Microwindows Demo"

/* forward decls*/
LRESULT CALLBACK WndProc(HWND hwnd,UINT uMsg,WPARAM wp,LPARAM lp);
LRESULT CALLBACK ChildWndProc(HWND hwnd,UINT uMsg,WPARAM wp,LPARAM lp);

void
shutdown(int sig){
	PostMessage(hwnd, WM_CLOSE, 0, 0);
}

int
GetMenuButtonNumber(unsigned int x, unsigned int y)
{
	int col = (x / menu_button_width) + 1;
	int row = ((y - header_height) / menu_button_height) + 1;
	int nr = col + (row - 1) * num_menu_buttons_per_line;

	/* Within menu button area? */
	if(x <  menu_buttons_x)
		return -1;
	if(x > menu_button_width * num_menu_buttons_per_line)
		return -1;
	if(y < header_height)
		return -1;
	if(y > header_height + menu_button_height * num_menu_buttons / num_menu_buttons_per_line)
		return -1;
	
	return nr;
}

int
GetMenuButtonX(unsigned int menu_button_number)
{
	unsigned int row = ((menu_button_number - 1) / num_menu_buttons_per_line) + 1;
	unsigned int col = menu_button_number - (row - 1) * num_menu_buttons_per_line;
	unsigned int x = menu_button_width * (col - 1);
	return x;
}

int
GetMenuButtonY(unsigned int menu_button_number)
{
	unsigned int row = ((menu_button_number - 1) / num_menu_buttons_per_line) + 1;
	unsigned int col = menu_button_number - (row - 1) * num_menu_buttons_per_line;
	unsigned int y = header_height + menu_button_height * (row - 1);
	return y;
}

int
RegisterAppClass(void)
{
	WNDCLASS	wc;

	wc.style = CS_DBLCLKS | CS_VREDRAW | CS_HREDRAW;
	wc.lpfnWndProc = (WNDPROC)WndProc;
	wc.cbClsExtra = 0;
	wc.cbWndExtra = 0;
	wc.hInstance = 0;
	wc.hIcon = 0;
	wc.hCursor = 0;
	wc.hbrBackground = (HBRUSH)GetStockObject(GRAY_BRUSH);
	wc.lpszMenuName = NULL;
	wc.lpszClassName =  APPCLASS;
	RegisterClass( &wc);

	return 1;
}

HWND
CreateAppWindow(void)
{
	RECT 	screen;

	/* Get fullscreen size */
	GetWindowRect(GetDesktopWindow(), &screen);
	screen_width = screen.right - screen.left;
	screen_height = screen.bottom - screen.top;
	printf("Screen: %dx%d\n", screen_width, screen_height);
	hwnd = CreateWindowEx(WS_EX_LAYERED, APPCLASS,
		APPCLASS,
		WS_DLGFRAME | WS_VISIBLE,
		0, 0,
		screen_width, screen_height,
		NULL, NULL, NULL, NULL);

	return hwnd;
}

LRESULT CALLBACK
WndProc(HWND hwnd, UINT msg, WPARAM wp, LPARAM lp)
{
	HDC hdc;
	PAINTSTRUCT	ps;
	unsigned int x = 0;
	unsigned int y = 0;
	static unsigned int old_xr = 0;
	static unsigned int old_yr = 0;
	static unsigned int old_wr = 0;
	static unsigned int old_hr = 0;
	unsigned int xr = old_xr;
	unsigned int yr = old_yr;
	unsigned int wr = old_wr;
	unsigned int hr = old_hr;
	int menu_button_number = -1;
  
	switch(msg) {
	case WM_CREATE:
		hdc = GetDC(hwnd);
		/* Redirect painting to offscreen dc */
		GetClientRect(hwnd, &rc);
		hdcMemButtons0 = CreateCompatibleDC(hdc);
		hbmpButtons0 = CreateCompatibleBitmap(hdcMemButtons0, rc.right, rc.bottom);
		hbmpButtons0Org = SelectObject(hdcMemButtons0, hbmpButtons0);
		hdcMemButtons1 = CreateCompatibleDC(hdc);
		hbmpButtons1 = CreateCompatibleBitmap(hdcMemButtons1, rc.right, rc.bottom);
		hbmpButtons1Org = SelectObject(hdcMemButtons1, hbmpButtons1);

		/* Load images to offscreen buffer */
		/* FIXME: board is set fixed to 'santaro' for now, because the above getenv(...) call doesn't work */
		sprintf(filepath, "/usr/share/mw-guf-demo/images/santaro/%dx%d/buttons_all_0.jpg", screen_width, screen_height);
		image_id_buttons_all_0  = LoadImageFromFile(hdcMemButtons1, filepath);
		DrawImage(hdcMemButtons0, 0, 0, screen_width, screen_height, image_id_buttons_all_0);
		sprintf(filepath, "/usr/share/mw-guf-demo/images/santaro/%dx%d/buttons_all_1.jpg", screen_width, screen_height);
		image_id_buttons_all_1  = LoadImageFromFile(hdcMemButtons1, filepath);
		DrawImage(hdcMemButtons1, 0, 0, screen_width, screen_height, image_id_buttons_all_1);
		ReleaseDC(hwnd, hdc);
		break;
	case WM_DESTROY:
		hdc = GetDC(hwnd);
		DeleteObject(SelectObject(hdcMemButtons0, hbmpButtons0Org));
		DeleteObject(SelectObject(hdcMemButtons1, hbmpButtons1Org));
		DeleteDC(hdcMemButtons0);
		DeleteDC(hdcMemButtons1);
		ReleaseDC(hwnd, hdc);
		quit = 1;
		break;
	case WM_PAINT:
		break;
	case WM_LBUTTONDOWN:
		x = LOWORD(lp);
		y = HIWORD(lp);
		/* Button menue button? */
		menu_button_number = GetMenuButtonNumber(x, y);		
		if(menu_button_number != -1) {
			xr = GetMenuButtonX(menu_button_number);
			yr = GetMenuButtonY(menu_button_number);
			wr = menu_button_width; 
			hr = menu_button_height; 
		} else {
			/* Off button? */
			if(x > screen_width - off_button_width - 2 && y > screen_height - off_button_height - 1) {
				xr = screen_width - off_button_width - 2;
				yr = screen_height - off_button_height - 1;
				wr = off_button_width;
				hr = off_button_height + 1;
				PostMessage(hwnd, WM_CLOSE, 0, 0);
				system("shutdown -h now");
			}
		}		
		/* Render if state changed */
		if((xr != old_xr || yr != old_yr)) {
			hdc = GetDC(hwnd);
			BitBlt(hdc, xr, yr, wr, hr, hdcMemButtons1, xr, yr, SRCCOPY);
			if(old_yr != 0)
				BitBlt(hdc, old_xr, old_yr, old_wr, old_hr, hdcMemButtons0, old_xr, old_yr, SRCCOPY);
			ReleaseDC(hwnd, hdc);
			old_xr = xr;
			old_yr = yr;
			old_wr = wr; 
			old_hr = hr; 
		}

		break;
	case WM_LBUTTONUP:
		break;
	case WM_MOUSEMOVE:
		break;
	default:
		return DefWindowProc(hwnd, msg, wp, lp);
	}
	return( 0);
}

int WINAPI 
WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine,
	int nShowCmd)
{
	MSG msg;
	HWND hwnd;
	HDC hdc;
	
	/* CTRL + C handler */
	signal(SIGINT, shutdown);

	RegisterAppClass();

	/* must update root window until alpha blend blitting
	 * uses off screen memory for hidden windows, rather than
	 * screen memory*/
	UpdateWindow(GetDesktopWindow());

	hwnd = CreateAppWindow();

	/* Init app geometry */
	if(screen_width == 800 && screen_height == 480) {
		header_height = 105;
		menu_buttons_x = 4;
		menu_buttons_y = 2;
		menu_button_width = 160;
		menu_button_height = 134;
		off_button_width = 33;
		off_button_height = 106;
		slideshow_button_width = 127;
		slideshow_button_height = 106;
		right_button_width = 160;
		right_button_height = 67;
		slider_x_offset = 137;
		slider_y_offset = 268;
		slider_width = 364;
		slider_height = 90;
		slider_x_raw_offset = 22;
		slider_y_raw_offset = 10;
		background_label_width = 640;
		background_label_height = 480;
		digits_x_offset = 196;
		digits_y_offset = 130;
		digits_width = 46;
		digits_height = 72;
		digits_1_2_offset = 3;
		digits_2_3_offset = 25;
		video_x_offset = 0;
		video_y_offset = 108;
		video_width = 640;
		video_height = 320;
		num_menu_buttons = 8;
		num_menu_buttons_per_line = 4;
	} else if(screen_width == 800 && screen_height == 600) {
		header_height = 106;
		menu_buttons_x = 4;
		menu_buttons_y = 3;
		menu_button_width = 160;
		menu_button_height = 134;
		off_button_width = 30;
		off_button_height = 92;
		off_button_y_offset = 133;
		slideshow_button_width = 127;
		slideshow_button_height = 92;
		right_button_width = 160;
		right_button_height = 67;
		slider_x_offset = 135;
		slider_y_offset = 344;
		slider_width = 364;
		slider_height = 90;
		slider_x_raw_offset = 22;
		slider_y_raw_offset = 10;
		background_label_width = 640;
		background_label_height = 600;
		digits_x_offset = 195;
		digits_y_offset = 131;
		digits_width = 46;
		digits_height = 72;
		digits_1_2_offset = 3;
		digits_2_3_offset = 27;
		video_x_offset = 0;
		video_y_offset = 129;
		video_width = 640;
		video_height = 352;
		num_menu_buttons = 12;
		num_menu_buttons_per_line = 4;
	} else if(screen_width == 1280 && screen_height == 800) {
		header_height = 114;
		menu_buttons_x = 7;
		menu_buttons_y = 4;
		menu_button_width = 159;
		menu_button_height = 145;
		off_button_width = 38;
		off_button_height = 106;
		off_button_y_offset = 316;
		slideshow_button_width = 126;
		slideshow_button_height = 106;
		right_button_width = 164;
		right_button_height = 66;
		slider_x_offset = 242;
		slider_y_offset = 410;
		slider_width = 364;
		slider_height = 90;
		slider_x_raw_offset = 22;
		slider_y_raw_offset = 10;
		background_label_width = 1114;
		background_label_height = 800;
		digits_x_offset = 307;
		digits_y_offset = 281;
		digits_width = 46;
		digits_height = 72;
		digits_1_2_offset = 3;
		digits_2_3_offset = 27;
		video_x_offset = 0;
		video_y_offset = 117;
		video_width = 1114;
		video_height = 576;	
		num_menu_buttons = 28;
		num_menu_buttons_per_line = 7;
	} else {
		printf("ERROR: Resolution %dx%d not supported by mw-guf-demo\n", screen_width, screen_height);
		return -1;
	}

	hdc = GetDC(hwnd);
	/* Draw background image */
	/* FIXME: board is set fixed to 'santaro' for now, because the above getenv(...) call doesn't work */
	sprintf(filepath, "/usr/share/mw-guf-demo/images/santaro/%dx%d/buttons_all_0.jpg", screen_width, screen_height);
	image_id_buttons_all_0  = LoadImageFromFile(hdc, filepath);
	DrawImage(hdc, 0, 0, screen_width, screen_height, image_id_buttons_all_0);
	/* Initially, the button menu is selected */
	BitBlt(hdc, menu_button_width * num_menu_buttons_per_line , header_height + right_button_height, right_button_width, right_button_height,
		hdcMemButtons1, menu_button_width * num_menu_buttons_per_line, header_height + right_button_height, SRCCOPY);

	ReleaseDC(hwnd, hdc);

	/* type ESC to quit...*/
	while( GetMessage(&msg, NULL, 0, 0)) {
		TranslateMessage(&msg);
		DispatchMessage(&msg);
		if(quit)
			break;
	}

	return 0;
}
