
SUMMARY = "Pregenerated default keys for ssh"
require conf/guf-receipe.inc

RDEPENDS_${PN} = "openssh"

SRC_URI = " \
		file://ssh_host_dsa_key \
		file://ssh_host_ecdsa_key \
		file://ssh_host_ed25519_key \
		file://ssh_host_rsa_key \
		file://ssh_host_dsa_key.pub \
		file://ssh_host_ecdsa_key.pub \
		file://ssh_host_ed25519_key.pub \
		file://ssh_host_rsa_key.pub \
		"

do_install() {
    # Install start service
    install -d ${D}${sysconfdir}/ssh
    install -m 0600 ${WORKDIR}/ssh_host_dsa_key			${D}${sysconfdir}/ssh/ssh_host_dsa_key		
    install -m 0600 ${WORKDIR}/ssh_host_ecdsa_key		${D}${sysconfdir}/ssh/ssh_host_ecdsa_key	
    install -m 0600 ${WORKDIR}/ssh_host_ed25519_key		${D}${sysconfdir}/ssh/ssh_host_ed25519_key 
    install -m 0600 ${WORKDIR}/ssh_host_rsa_key			${D}${sysconfdir}/ssh/ssh_host_rsa_key		

    install -m 0644 ${WORKDIR}/ssh_host_dsa_key.pub		${D}${sysconfdir}/ssh/ssh_host_dsa_key.pub		
    install -m 0644 ${WORKDIR}/ssh_host_ecdsa_key.pub	${D}${sysconfdir}/ssh/ssh_host_ecdsa_key.pub	
    install -m 0644 ${WORKDIR}/ssh_host_ed25519_key.pub ${D}${sysconfdir}/ssh/ssh_host_ed25519_key.pub 
    install -m 0644 ${WORKDIR}/ssh_host_rsa_key.pub		${D}${sysconfdir}/ssh/ssh_host_rsa_key.pub		

}

FILES_${PN} = " \
		${sysconfdir}/ssh/ssh_host_dsa_key		\
		${sysconfdir}/ssh/ssh_host_ecdsa_key	\
		${sysconfdir}/ssh/ssh_host_ed25519_key  \
		${sysconfdir}/ssh/ssh_host_rsa_key		\
		\
		${sysconfdir}/ssh/ssh_host_dsa_key.pub		\
		${sysconfdir}/ssh/ssh_host_ecdsa_key.pub	\
		${sysconfdir}/ssh/ssh_host_ed25519_key.pub  \
		${sysconfdir}/ssh/ssh_host_rsa_key.pub		\
		"
