SUMMARY = "Garz & Fricke Qt4 Demo Application"
require conf/guf-receipe.inc

DEPENDS = "qtbase"
DEPENDS_mx6 = "qtbase qtmultimedia"

USE_X11 = "${@base_contains("DISTRO_FEATURES", "x11", "yes", "no", d)}"

require recipes-qt/qt5/qt5.inc
inherit update-rc.d
include conf/check-external-svn.inc

FILESEXTRAPATHS_prepend := "${THISDIR}:"
FILESEXTRAPATHS_prepend := "${THISDIR}/files:"

SRC_URI = " \
    file://qt4-guf-demo \
    file://init.d/qt4-guf-demo \
    "

S = "${WORKDIR}/qt4-guf-demo"
PR = "r0"

QMAKE_PROFILES = "${S}/qt4-guf-demo.pro"
QMAKE_PROFILES_mx6 = "${S}/qt4-guf-demo-video.pro"
PDATA_DIR = "${datadir}/${PN}"
VIDEOFILE = "cc-BigBuckBunny-Trailer-1920x1080-h264-stereo.mp4"

# Usually each machine has its own images folder. Some machines, though,
# support multiple hardware platforms. This variable can be overridden in
# the machine config in order to install multiple image folders.
QT4_GUF_DEMO_IMAGES_SUBDIRS ?= "${MACHINE}"

do_install () {
	# Application
	install -d ${D}${bindir}
	install -m 0755 qt4-guf-demo ${D}${bindir}

	# Init script
	install -d ${D}${sysconfdir}/init.d
	install -m 0755 ${WORKDIR}/init.d/qt4-guf-demo ${D}${sysconfdir}/init.d/qt4-guf-demo

	# Images
	for platform in ${QT4_GUF_DEMO_IMAGES_SUBDIRS}; do
		cd ${S}
		for dir in `find images/${platform} -type d`; do
			install -d ${D}${PDATA_DIR}/$dir
		done
		for file in `find images/${platform} -type f`; do
			install -m 0664 $file ${D}${PDATA_DIR}/$file
		done
	done
}


do_install_append_mx6 () {
	# Videos
	cd ${S}/videos/
	install -d ${D}${PDATA_DIR}/videos
	install -m 0664 ${VIDEOFILE} ${D}${PDATA_DIR}/videos/${VIDEOFILE}
	link ${D}${PDATA_DIR}/videos/${VIDEOFILE} ${D}${PDATA_DIR}/videos/demovideo
}

INITSCRIPT_NAME = "qt4-guf-demo"
INITSCRIPT_PARAMS = "defaults 95 5"

