#include <QApplication>
#include "mainview.h"

#if QT_VERSION < QT_VERSION_CHECK(5, 0, 0)
#include <qwindowsystem_qws.h>
#endif

int main(int argc, char * argv[]) {
    QString mice = QString::fromLatin1(qgetenv("QWS_MOUSE_PROTO"));
	const QStringList mouse = mice.split(QLatin1Char(' '));
	QApplication app(argc, argv);
	app.setApplicationName("Garz & Fricke Qt 4 Demo Application");

	// check if we have tslib configured and disable cursor on
	// start up in this case
    for (int i = mouse.size() - 1; i >= 0; --i) {
        if(mouse.at(i).contains(QString("tslib"),
			Qt::CaseInsensitive)) {
			app.setOverrideCursor(Qt::BlankCursor);
		}
    }

#if QT_VERSION < QT_VERSION_CHECK(5, 0, 0)
	QWSServer::setBackground(QBrush(Qt::NoBrush));
#endif
	MainView *mainView = new MainView();
	mainView->show();

	return app.exec();
}
