#ifndef MAINVIEW_H
#define MAINVIEW_H

#include "qgufslider.h"
#include "qdigit.h"
#include "qslideshow.h"
#ifdef VIDEO
#include "videoview.h"
#if QT_VERSION < QT_VERSION_CHECK(5, 0, 0)
#include "qvideo.h"
#else
#include "qvideo5.h"
#endif
#endif
#ifdef BACKLIGHT
#include "qbacklight.h"
#endif
#include <QTimer>
#include <QTimeLine>
#include <QDialog>
#include <QtCore/QVariant>
#include <QAction>
#include <QApplication>
#include <QButtonGroup>
#include <QDialog>
#include <QHeaderView>
#include <QLabel>
#include <QPushButton>

class MainView : public QDialog
{
  Q_OBJECT
public:
	QLabel *label_background;
	QList<QPushButton*> buttons;
    QPushButton *button_off;
    QPushButton *button_slideshow;
    QPushButton *button_video;
    QPushButton *button_menu;
    QPushButton *button_slider;
    QPushButton *button_help;
    QLabel *label_slider;
    QLabel *label_help;
    QLabel *label_menu;
    QButtonGroup *menuButtonGroup;
    QButtonGroup *rightButtonGroup;
	unsigned int xResolution;
	unsigned int yResolution;
	bool isMultiScreen;

public:
  MainView(QWidget *parent=0);
  ~MainView();
  void setupUi(QDialog *MainView);
  
  QGufSlider *qgufslider;
  QDigit *qdigit1;
  QDigit *qdigit2;
  QDigit *qdigit3;
#ifdef VIDEO
  VideoView *videoView;
  QVideo *qvideo;
#endif
#ifdef BACKLIGHT
  QBacklight *qbacklight;
#endif
  QSlideShow *qslideshow;
  QTimer *timer;
  QTimeLine *timeline;

public slots:
  void restartTL();
  void rebootSystem(); 
  void uncheckSlideshowButton();
  void checkButton();
};
#endif // MAINVIEW_H
