#include <QObject>
#include <QFile>
#include <QIODevice>
#include <QTextStream>
#include "qbacklight.h"

QBacklight::QBacklight()
:QObject()
{
	QFile maxBrightnessFile(BACKLIGHT_SYSFS_DIR "max_brightness");
	maxBrightnessFile.open(QIODevice::ReadOnly | QIODevice::Text);
	QTextStream in(&maxBrightnessFile);
	in >> maxBrightness;
	if (maxBrightness == 0)
		maxBrightness = 1;
	maxBrightnessFile.close();
}

unsigned int QBacklight::getBrightness()
{
	unsigned int brightness;
	QFile backlightFile(BACKLIGHT_SYSFS_DIR "brightness");
	backlightFile.open(QIODevice::ReadOnly | QIODevice::Text);
	QTextStream in(&backlightFile);
	in >> brightness;
	backlightFile.close();
	return brightness * 100 / maxBrightness;
}

void QBacklight::setBrightness(unsigned int percent)
{
	QFile backlightFile(BACKLIGHT_SYSFS_DIR "brightness");
	backlightFile.open(QIODevice::WriteOnly | QIODevice::Truncate | QIODevice::Text);
	QTextStream out(&backlightFile);
	out << percent * maxBrightness / 100;
	backlightFile.close();
}
