#include <QtGui>

#include "qgufslider.h"

QGufSlider :: QGufSlider (QWidget *parent, unsigned int steps,
							unsigned int percent,
							QPixmap empty, QPixmap full)
: QWidget(parent)
{
	sliderSteps = steps;
	oldstep = steps;
	percent = percent;
	step = percent * sliderSteps / 100;
    ten = percent / 10;
    one = percent % 10;
	emit pos1(ten);
	emit pos2(one);
    fractional = 0;
	emptySlider = empty;
	fullSlider = full;
}

void QGufSlider::mousePressEvent(QMouseEvent *event)
{
    if (event->button() == Qt::LeftButton)
    {
        emit isActive();
        setBalkPos(event->x());
    }
}

void QGufSlider::mouseMoveEvent(QMouseEvent *event)
{
    if (event->buttons() & Qt::LeftButton)
    {
        emit isActive();
        setBalkPos(event->x());
    }
}

void QGufSlider::setBalkPos(int xPosGiven)
{
	if(xPosGiven >= 0 && xPosGiven < (int)width()) {
		if(width() != 0)
		{
			ten = (unsigned int)((double)xPosGiven/(double)width() * 10.0f);
			one = (unsigned int)((double)xPosGiven/(double)width() * 100.0f) - ten * 10;
			fractional = (unsigned int)((double)xPosGiven/(double)width() * 1000.0f) - ten * 100 - one * 10 ;
			if(ten > 9) {
				emit pos1(9);
				emit pos2(9);
				emit pos3(9);
			} else {
				emit pos1(ten);
				emit pos2(one);
				emit pos3(fractional);
			}

			percent = xPosGiven * 100 / width();
			emit value(percent);

			step = (xPosGiven + (width()/sliderSteps)/2) * sliderSteps / width();
			if(step != oldstep) {
				update();
				oldstep = step;
			}
		}
	}
}

void QGufSlider::paintEvent(QPaintEvent *event)
{
    QPainter painter(this);
	unsigned int pos = step * width() / sliderSteps;
	painter.drawPixmap(pos, 0, emptySlider, pos, 0, width() - pos, height());
	if (pos > 0)
		painter.drawPixmap(0, 0, fullSlider, 0, 0, pos, height());
}
