#ifndef QGUFSLIDER_H
#define QGUFSLIDER_H

#include <QWidget>
#include <QLabel>
#include <QPixmap>

class QGufSlider : public QWidget{

    Q_OBJECT
	
    public:
        QGufSlider(QWidget *parent = 0, unsigned int steps = 0,
			unsigned int percent = 0,
			QPixmap empty = QPixmap(), QPixmap full = QPixmap());
        void paintEvent(QPaintEvent *event);

		unsigned int percent;
        unsigned int ten;
        unsigned int one;
        unsigned int fractional ;
        unsigned int sliderSteps;


    protected:
        void mousePressEvent(QMouseEvent *event);
        void mouseMoveEvent(QMouseEvent *event);
        void setBalkPos(int xPos);


    private:
        unsigned int sliderStepWidth;
		QPixmap emptySlider;
		QPixmap fullSlider;
        unsigned int step;
        unsigned int oldstep;

    signals:
		/* signals sending the digit values */
		void value(unsigned int percent);
        void pos1(unsigned int ten);
        void pos2(unsigned int one);
        void pos3(unsigned int fractional);
        void isActive();
};

#endif

