#include <QtGui>
#include <QRect>
#include "qvideo.h"

QVideo::QVideo(QWidget *parent, QString fileName) :
    QWidget(parent)
{
	videoPlayer = new Phonon::VideoPlayer(Phonon::VideoCategory, this); // This(SimplePlayer) widget is parent
	videoPlayer->load(Phonon::MediaSource(fileName));
	videoPlayer->videoWidget()->installEventFilter(this);
	videoPlayer->videoWidget()->setScaleMode(Phonon::VideoWidget::ScaleAndCrop);
}

void QVideo::resizeEvent(QResizeEvent *event)
{
	videoPlayer->resize(event->size());
}

void QVideo::play()
{
	videoPlayer->play();
}

void QVideo::stop()
{
	videoPlayer->stop();
}

void QVideo::pause()
{
	videoPlayer->pause();
}

bool QVideo::eventFilter(QObject *obj, QEvent *event)
{
	Phonon::VideoWidget *videoWidget = videoPlayer->videoWidget();

	if (obj == videoWidget)
	{
		if (event->type() == QEvent::MouseButtonPress)
		{
			QMouseEvent *mouse = static_cast<QMouseEvent *>(event);
			if(mouse->button() == Qt::LeftButton)
			{
				if(!videoWidget->isFullScreen())
				{
					if (videoPlayer->isPlaying())
					{
						videoPlayer->videoWidget()->setScaleMode(Phonon::VideoWidget::FitInView);
						videoWidget->enterFullScreen();
					}
				}
				else
				{
					videoWidget->exitFullScreen();
					videoPlayer->videoWidget()->setScaleMode(Phonon::VideoWidget::ScaleAndCrop);
					if (videoPlayer->isPaused())
						videoPlayer->stop();
				}
				return true;
			}
		}
	}

	return false;
}
