#include "mainview.h"
#include "qslideshow.h"
#include "stdio.h"
#include <QDesktopWidget>

#define TIMER			false
#define TIMER_INTERVAL  2000

MainView::MainView(QWidget *parent) : QDialog(parent) {

	setWindowFlags(windowFlags() | Qt::FramelessWindowHint);
    setupUi(this);
	
	slideshow = new QSlideShow(this);		
    timer = new QTimer(this);

	xResolution =  (unsigned int)QApplication::desktop()->screenGeometry().width();
	yResolution =  (unsigned int)QApplication::desktop()->screenGeometry().height();
	this->setGeometry(QRect(0, 0, xResolution, yResolution));
	slideshow->setGeometry(QRect(0, 0, xResolution, yResolution));
	slideshow->setModeRandom(false);
	slideshow->show();
	slideshow->startSlide();
	
	if (TIMER) {
		
		timer->setInterval(TIMER_INTERVAL);
		timer->setSingleShot(false);
		timer->start();
		
		QObject::connect(timer, SIGNAL(timeout()), slideshow, SLOT(nextPixmap()));
	}
	else {
		
		QObject::connect(slideshow, SIGNAL(activePress()), slideshow, SLOT(nextPixmap()));	
	}
}

MainView::~MainView() {

}