#include <QtGui>
#include <QApplication>
#include <getopt.h>
#include "mainwindow.h"

#if QT_VERSION < QT_VERSION_CHECK(5, 0, 0)
#include <qwindowsystem_qws.h>
#endif

int use_scrollbars = 1;
char *url = (char *) "/usr/share/website/index.htm";

int main(int argc, char * argv[])
{
	static const struct option options[] = {
		{ "no-scrollbars",	no_argument, 	0, 's' },
		{ 0, 				0, 				0, 0 },
	};
	int opt = 0,
	option_index = 0;

	QApplication app(argc, argv);

    while ((opt = getopt_long(argc, argv, "s", options, &option_index)) != -1)
	{
		switch (opt) {
			case 's' : use_scrollbars = 0;
				break;
			default:
				exit(EXIT_FAILURE);
        }
    }
	if (optind < argc) {
		url = argv[optind];
	}

	app.setOverrideCursor(Qt::BlankCursor);
#if QT_VERSION < QT_VERSION_CHECK(5, 0, 0)
	QWSServer::setCursorVisible(false);
#endif

    MainWindow *browser = new MainWindow(QUrl(QString(url)), use_scrollbars);
    browser->show();
    return app.exec();
}
