#include <QtGui>
#include <QtWebKit>
#include <QWebFrame> 
#include "mainwindow.h"

MainWindow::MainWindow(const QUrl& url, const int use_scrollbars)
{
    QNetworkProxyFactory::setUseSystemConfiguration(true);
	// show the browser in full screen mode without title bar and window decoration
	setWindowState(Qt::WindowFullScreen);
    view = new QWebView(this);
    view->load(url);
	if (!use_scrollbars) {
		// turn off the scrollbars
		view->page()->mainFrame()->setScrollBarPolicy( Qt::Vertical, Qt::ScrollBarAlwaysOff );
		view->page()->mainFrame()->setScrollBarPolicy( Qt::Horizontal, Qt::ScrollBarAlwaysOff );
	}
    setCentralWidget(view);
}
