# See http://docs.openembedded.ru/update-rc-d_class.html for documentation on
# OpenEmbedded's update-rc.d mechanism

SUMMARY = "Garz & Fricke shared configuration script for xml config files"
require conf/guf-receipe.inc
inherit update-rc.d

RDEPENDS_${PN} = "\
	${@base_contains('MACHINE_FEATURES', 'fng', 'early-xml-mnt', '', d)} \
"

SRC_URI = " \
		   file://sharedconf \
		   file://volatiles \
		   "
do_configure_prepend () {
	sed -i "s/SVNVERSION='1.0'/SVNVERSION='${PV}'/g" ${WORKDIR}/sharedconf

}        

do_install() {
    # Install start service
    install -d ${D}${sysconfdir}/init.d
    install -m 0755 ${WORKDIR}/sharedconf ${D}${sysconfdir}/init.d/sharedconf

    # Install sconfig link in /usr/bin
    install -d ${D}${bindir}
    ln -s ${sysconfdir}/init.d/sharedconf ${D}${bindir}/sconfig

    # Define generated files as volatile
    install -d ${D}${sysconfdir}/default/volatiles/
	install -m 0644  ${WORKDIR}/volatiles ${D}${sysconfdir}/default/volatiles/90_sharedconf

    # Create directory as mount point for the shared partition
    install -d ${D}${sysconfdir}/shared
}

FILES_${PN} = " \
    ${sysconfdir}/init.d/sharedconf \
    ${bindir}/sconfig \
	${sysconfdir}/default/volatiles/90_sharedconf \
    ${sysconfdir}/shared \
    "

INITSCRIPT_NAME = "sharedconf"
INITSCRIPT_PARAMS = "start 38 S . stop 0 0 1 6 ."
