
#ifndef _DEBUG_H
#define _DEBUG_H

#include <linux/input.h>
#include <stdio.h>

#define die(label, ...) do { \
		fprintf(stdout, __VA_ARGS__);\
        perror(""); \
		pr_err("\n Error in %s %d: %s\n",__FILE__, __LINE__, __func__); \
		result = -1; \
		goto label;\
    } while(0)

#define DEBUG
#ifdef DEBUG
#define pr_dbg( ... ) do{ fprintf( stdout, __VA_ARGS__); } while(0)
#else
#define pr_dbg( ... ) do{  } while(0)
#endif
#define pr_warn( ... ) do{ fprintf( stdout, __VA_ARGS__); } while(0)
#define pr_err( ... ) do{ fprintf( stdout, __VA_ARGS__); } while(0)
#define pr_func_line() pr_dbg("%s %d\n", __func__, __LINE__);

struct touch_report;
extern const char * evdev_flag_names[12];
extern const char * evdev_event_names[0x18];
extern const char * evdev_rel_names[REL_CNT];
extern const char * evdev_abs_names[ABS_CNT];
const char * event_type(const struct input_event * ev);
const char * event_name(const struct input_event * ev);
void dump_event(const char * prefix, const struct input_event * ev);
void dump_report(const struct touch_report * report);
#endif
