
#ifndef _INPUT_DEVICE_H
#define _INPUT_DEVICE_H

#include <linux/input.h>
#include <stdbool.h>
#include <linux/uinput.h>
#include "evdev_helper.h"

#define INPUT_NAME_LEN UINPUT_MAX_NAME_SIZE

struct input_device {
	int fd;
	int uin;
    struct uinput_user_dev uidev;
	int touch_key;


    /* Cached info from device. */
	struct input_id info;
	char name[INPUT_NAME_LEN];

    unsigned long bitmask[NLONGS(EV_CNT)];
    unsigned long key_bitmask[NLONGS(KEY_CNT)];
    unsigned long rel_bitmask[NLONGS(REL_CNT)];
    unsigned long abs_bitmask[NLONGS(ABS_CNT)];
    unsigned long u_abs_bitmask[NLONGS(ABS_CNT)];
    struct input_absinfo absinfo[ABS_CNT];

	int mt_channel_cnt;
	int current_slot;
};

int select_touch_key( const struct input_device * input, int key);
int get_device_info(struct input_device * input);
int create_duplicate( struct input_device * input);
int create_out_device( struct input_device * input, bool multi);
#endif
