
#ifndef TOUCH_POINT_H
#define TOUCH_POINT_H
#include <stdbool.h>
#include <stdint.h>
#include <stddef.h>
#include <sys/time.h>

#define NOT_YET_WRITTEN INT32_MIN

struct touch_point 
{
	int32_t x, y, p, down;
	int32_t mt_slot;
	int32_t mt_tracking_id;
	struct timeval time;
	
	//struct input_event *ev;  // Addtional events not handled by this device
	
};

struct touch_point_container
{
	bool updated;
	bool is_mt;
	struct touch_point current;
	struct touch_point previous;
	struct touch_point processed;
	struct touch_point last_send;

};
struct input_event;

void touch_point_clear( struct touch_point * p);
bool touch_point_empty( struct touch_point * p);
int touch_point_container_add_touch_point( struct touch_point_container * c, struct touch_point * p);
int touch_point_add_event(struct touch_point * p, const struct input_event * ev, int slot );

#define TOUCH_POINT_OFFSET(x) (offsetof( struct touch_point, x)/sizeof(int32_t))
#define TOUCH_POINT_GET(p, offset) (((int32_t *)(p))[(offset)])

#endif
