
#ifndef TOUCH_REPORT_H
#define TOUCH_REPORT_H
#include <stdbool.h>
#include <stdint.h>
#include "touch_point.h"
#include <linux/input.h>

struct touch_report {
	bool syn_received;
	
	int current_mt_slot;

	// Plain event storage
	int max_ev_cnt; // size of the array events points to, increased on resize, never decreased
	int ev_cnt;		// number of entries actually in events
	struct input_event * events;

	// one point per channel
	int max_tp_cnt;	// size of the array points points to, increased on resize, never decreased
	struct touch_point * points;

	struct touch_point_container * single_touch;
	struct touch_point_container * mt_touch;
};


int touch_report_add_event( struct touch_report * report, const struct input_event * ev);
int touch_report_resize( struct touch_report * report, int max_ev_cnt);
struct touch_report * touch_report_free( struct touch_report * report);
struct touch_report * touch_report_malloc_event( int max_ev_cnt, int max_mt_pts);
int touch_report_insert_mt_points( struct touch_report * report, struct touch_point * tp, int count);

#endif
