/*
 *  tslib/src/ts_poll_raw.c
 *
 * Author: Jonas Höppner <jonas.hoeppner@garz-fricke.com>
 *
 * This file is placed under the LGPL.  Please see the file
 * COPYING for more details.
 *
 * Poll raw pressure, x, y from a touchscreen device using ioctls
 */
#include "config.h"

#include <linux/input.h>
#include <sys/ioctl.h>
#include <stdio.h>
#include "tslib-private.h"

#ifdef DEBUG
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#endif

int ts_poll_raw(struct tsdev *ts, struct ts_sample *samp, int nr)
{
	int result = -1;
	if(!ts->list_raw->ops->poll)
	{
		fprintf( stderr, "TS_POLL_RAW: selected raw module does not support polling.");
		return -1;
	}

	result = ts->list_raw->ops->poll(ts->list_raw, samp, nr);

#ifdef DEBUG
	fprintf(stderr,"TS_POLL_RAW----> x = %d, y = %d, pressure = %d\n", samp->x, samp->y, samp->pressure);
#endif
	return result;
}
