SUMMARY = "Touchfilter deamon that provides a kernel input device with filtered touch data"

require conf/guf-receipe.inc
inherit update-rc.d
inherit autotools

USE_X11 = "${@base_contains("DISTRO_FEATURES", "x11", "yes", "no", d)}"

DEPENDS="lua "
RDEPENDS_${PN} =" tslib-plugins"
SRC_URI[md5sum] = ""
SRC_URI[sha256sum] = ""

SRC_URI = "file://${PN}/ \
		   file://touchfilter.sh \
		   file://20_touchfilter.conf \
		   "

S = "${WORKDIR}/${PN}"

do_configure_prepend(){
	sed -i.bak -e 's/@PACKAGEVERSION@/${SVNVERSION}/' -e 's/@PACKAGENAME@/${PN}/' ${S}/configure.ac
}

do_install_append(){

	# Init script
	install -d ${D}${sysconfdir}/init.d
	install -m 0755 ${WORKDIR}/touchfilter.sh ${D}${sysconfdir}/init.d/touchfilter

	if [ "${USE_X11}" = "yes" ]; then
		# Configuration for X to select the touch filter device using evdev
		install -d ${D}${sysconfdir}/X11/xorg.conf.d/
		install -m 0755 ${WORKDIR}/20_touchfilter.conf ${D}${sysconfdir}/X11/xorg.conf.d/
	fi
}

INITSCRIPT_NAME = "touchfilter"
INITSCRIPT_PARAMS = "defaults 05 5"
