DESCRIPTION = "Microwindows Graphical Engine"
SECTION = "x11/wm"
PRIORITY = "optional"
X11DEPENDS = "virtual/libx11"
DEPENDS = "${@base_contains('DISTRO_FEATURES', 'x11', '${X11DEPENDS}', '', d)} tslib freetype libpng jpeg zlib"
LICENSE = "GPLv2"
LIC_FILES_CHKSUM = "file://${COMMON_LICENSE_DIR}/GPL-2.0;md5=801f80980d171dd6425610833a22dbe6"

PR="r2"

SRC_URI = " \
  file://microwindows.sh \
"

S = "${WORKDIR}/git"

PARALLEL_MAKE = ""

USE_X11 = "${@base_contains("DISTRO_FEATURES", "x11", "yes", "no", d)}"

EXTRA_OEMAKE = " \
  -C ${S}/src \
  ARMTOOLSPREFIX=${TARGET_PREFIX} \
  INCJPEG=${STAGING_INCDIR} \
  LIBJPEG=${STAGING_LIBDIR}/libjpeg.so \
  INCPNG=${STAGING_INCDIR} \
  LIBPNG=${STAGING_LIBDIR}/libpng.so \
  LIBZ=${STAGING_LIBDIR}/libz.so \
  INCFT2LIB=${STAGING_INCDIR} \
  LIBFT2LIB=${STAGING_LIBDIR}/libfreetype.so \
  INSTALL_PREFIX=${D}${prefix} \
  INSTALL_OWNER1= \
  INSTALL_OWNER2= \
  X11LDFLAGS=-L${STAGING_LIBDIR} -lX11 \
 "

CFLAGS_prepend = " -lgcc_s -lm -ljpeg -lpng -lts \
	 ${@base_contains('DISTRO_FEATURES', 'x11', \
        '-lX11', '', d)}"

do_compile() {
  # HACK: This solves ' QA Issue: No GNU_HASH in the elf binary' in version 0.91-20090128.
  export LD="${LD} --hash-style=gnu" 

  if [ "${USE_X11}" = "yes" ]; then
    cp ${WORKDIR}/defconfig.x11 ${S}/src/config 
  else  
    cp ${WORKDIR}/defconfig.fbts ${S}/src/config 
  fi
  
  oe_runmake
}

do_install() {

  oe_runmake install all

# the next 3 lines are necessary for snapshot build since it has CVS cruft in the tarball
  rm -rf ${S}/src/lib/CVS
  rm -rf ${S}/src/bin/CVS
  rm -f ${S}/src/bin/fonts


  install -d ${D}${bindir} ${D}${bindir}/fonts ${D}${libdir} 
  install -m 0755 ${S}/src/lib/*   ${D}${libdir}/
  install -m 0755 ${S}/src/bin/malpha   ${D}${bindir}/
  install -m 0755 ${S}/src/bin/mdemo   ${D}${bindir}/
  install -m 0755 ${S}/src/bin/mine   ${D}${bindir}/
  
  # Microwindows rotation
  install -d ${D}${sysconfdir}/profile.d/
  install -m 0755 ${WORKDIR}/microwindows.sh ${D}${sysconfdir}/profile.d/
}

FILES_${PN}="${bindir}/* ${libdir}/* ${sysconfdir}/profile.d/*"
