DESCRIPTION = "Pyside"
HOMEPAGE = "http://www.pyside.org"
LICENSE = "LGPL"
LIC_FILES_CHKSUM = "file://COPYING;md5=15a1ca44f90f3ab457d6a4fe7c0f3a19"

DEPENDS = "apiextractor-native generatorrunner-native shiboken-native libshiboken \
		   qt4-embedded \
		   "

RDEPENDS_${pn} = " \
		python3-core \
		python3-lang \
		qt4-embedded-plugin-mousedriver-tslib \
  	    python3-dbg \
		"
PROVIDES = "python-pyside"

inherit cmake

FILESEXTRAPATHS_prepend := "${THISDIR}:"

SRC_URI[tarball.md5sum] = "0176d3746074afe47373d7302e1b4501"
SRC_URI[tarball.sha256sum] = "acda876bb8e531682ce0a14e133021142c07988d505117299db3c00668749284"

SRC_URI = " \
	http://download.qt-project.org/official_releases/pyside/pyside-qt4.8+1.1.1.tar.bz2;name=tarball \
			  file://MacroPushRequiredVars.cmake \
			  file://FindQt4.cmake \
			  file://FindShiboken.cmake \
			  file://0001-only-add-qaccessibleevent_wrapper.cpp-if-accessible-.patch \
			  file://0002-add-include-iostream.patch \
			  file://0003-add-qws-support.patch \
		   "

OECMAKE_CXX_FLAGS_append=" -DQ_WS_QWS "
CXX_DEFINES+=" -DQ_WS_QWS "
QT_LIBINFIX="E"
export CXX_DEFINES
PYTHON_DIR="python3.3"

OE_CMAKE_AR = "${STAGING_BINDIR_TOOLCHAIN}/${AR}"
EXTRA_OECMAKE += " \
		\
	-Wno-dev \
	\
	-DQT_LIBRARY_DIR=${STAGING_LIBDIR}         \
	-DQT_LIBINFIX="E" \
	-DQT_DIR_NAME="qtopia" \
	-DQT_BINARY_DIR=${STAGING_BINDIR_NATIVE}/        \
	-DQT_QMAKE_EXECUTABLE=${STAGING_BINDIR_NATIVE}/qmake2        \
	\
	-DSHIBOKEN_INCLUDE_DIR=${STAGING_INCDIR}/shiboken        \
    -DSHIBOKEN_LIBRARY=${STAGING_LIBDIR}/libshiboken.cpython-33m.so \
    -DSHIBOKEN_BINARY=${STAGING_BINDIR_NATIVE}/shiboken \
	-DSHIBOKEN_PYTHON_INCLUDE_DIR=${STAGING_INCDIR}/python3.3m  \
	-DSHIBOKEN_PYTHON_INTERPRETER=${STAGING_BINDIR_NATIVE}/python3-native/python3 \
	-DSHIBOKEN_PYTHON_LIBRARIES=${STAGING_LIBDIR}/libpython3.so \
	-DSHIBOKEN_PYTHON_SUFFIX=.cpython-33m \
	-DSITE_PACKAGE=/usr/lib/python3.3/site-packages 	 \
	\
	-DQT_QTCORE_FOUND=yes \
	-DQT_QTCORE_LIBRARY=${STAGING_LIBDIR}/libQtCoreE.so         \
	-DQT_QTCORE_LIBRARY_RELEASE=${STAGING_LIBDIR}/libQtCoreE.so         \
	-DQT_QTGUI_FOUND=yes \
	-DQT_QTGUI_LIBRARY=${STAGING_LIBDIR}/libQtGuiE.so         \
	-DQT_QTXML_FOUND=yes \
	-DQT_QTXML_LIBRARY=${STAGING_LIBDIR}/libQtXmlE.so         \
	-DQT_USE_QTXMLPATTERNS:BOOL=on \
	-DQT_QTNETWORK_FOUND=yes \
	-DQT_QTNETWORK_LIBRARY=${STAGING_LIBDIR}/libQtNetworkE.so         \
	"


#do_configure_append() {
#	find ${S}/PySide -name cmake_install.cmake | 
#		xargs sed -i "s:${STAGING_LIBDIR}/python3.3/site-packages/PySide:${libdir}/${PYTHON_DIR}/site-packages/PySide:g"
#}

do_configure_prepend() {
   cp ${WORKDIR}/MacroPushRequiredVars.cmake ${S}/cmake/Macros/MacroPushRequiredVars.cmake
   cp ${WORKDIR}/FindQt4.cmake ${S}/cmake/Macros/FindQt4.cmake
   cp ${WORKDIR}/FindShiboken.cmake ${S}/cmake/Macros/FindShiboken.cmake
}

FILES_${PN} =+ " \
		${libdir}/python3.3/site-packages/PySide/*.so \
		${libdir}/python3.3/site-packages/PySide/*.py \
	"

FILES_${PN}-dbg =+ "${libdir}/${PYTHON_DIR}/site-packages/PySide/.debug"

FILES_${PN}-dev =+ " \
		${datadir}/PySide/typesystems \
		${libdir}/cmake \
	"

