DESCRIPTION = "Download, build, install, upgrade, and uninstall Python packages"
SECTION = "python3"
HOMEPAGE = "https://pypi.python.org/pypi/setuptools"
LICENSE = "PSF"
LIC_FILES_CHKSUM = "file://setup.py;md5=a14d40959062b83bc5eb4bae8a82b31d"


SRCNAME = "setuptools"
DEPENDS += "python3-distutils"
SRC_URI = "https://pypi.python.org/packages/source/s/${SRCNAME}/${SRCNAME}-${PV}.tar.gz \
           file://default_install.pth \
           file://distutils.cfg \
           file://easy_install"
SRC_URI[md5sum] = "e6712aaf91f9fe94faa5b677d343b23f"
SRC_URI[sha256sum] = "4e3372103ae747167eaa87a975f7b7654bcdd50a9e87825d1471a5dc8bd28942"

S = "${WORKDIR}/${PN}-${PV}"


inherit distutils3

DISTUTILS_INSTALL_ARGS += "--install-lib=${D}${libdir}/${PYTHON_DIR}/site-packages"

do_install_prepend() {
    install -d ${D}/${libdir}/${PYTHON_DIR}/site-packages
}


do_install_append() { 
    # path file for custom default installation location
    install -m 0755 ${WORKDIR}/default_install.pth ${D}/usr/lib/python3.3/site-packages/
    
    # configure distutils to search for pakets on the pypi server
    install -d ${D}/usr/lib/python3.3/distutils/ 
    install -m 0755 ${WORKDIR}/distutils.cfg  ${D}/usr/lib/python3.3/distutils/ 
    
    # exchange easy_install script patched version(sets environment variables)
    install -m 0755 ${WORKDIR}/easy_install  ${D}/usr/bin/ 
}


RDEPENDS_${PN} = "\
  python3-distutils \
  python3-compression \
"

RPROVIDES_${PN} += "python3-setuptools"

BBCLASSEXTEND = "native"








