# Copyright (C) 2014 Garz & Fricke GmbH

FILESEXTRAPATHS_prepend := "${THISDIR}/${PN}:"

SRC_URI += "\
    file://qt5-touch-config.sh \
	file://fix_duplicated_release_for_touch_input_with_X.patch \
    file://fingerpaint_resitive_touch_support_and_dot_size_with_min_max_range.patch \
"

USE_X11 = "${@base_contains("DISTRO_FEATURES", "x11", "yes", "no", d)}"

QT_CONFIG_FLAGS_append_mx5 = "${@base_contains('DISTRO_FEATURES', 'x11', ' -no-eglfs', ' -eglfs', d)}"
QT_CONFIG_FLAGS_append_mx3 = "-no-eglfs"

RRECOMMENDS_${PN}-plugins += "${@base_contains('DISTRO_FEATURES', 'x11', 'libx11-locale', '', d)}"

# Select the default platform plugin based on the distro features, analogous
# to package gpu-viv-bin-mx6q. The preference order is x11, wayland, eglfs.
QPA_PLUGIN = "${@base_contains('DISTRO_FEATURES', 'wayland', 'wayland', 'eglfs', d)}"
QPA_PLUGIN_OVERRIDE = "${@base_contains('DISTRO_FEATURES', 'x11', 'xcb', '${QPA_PLUGIN}', d)}"

EXTRA_OECONF = "-qpa ${QPA_PLUGIN_OVERRIDE}"

EXTRA_OECONF_mx3 = ""

PACKAGECONFIG = " \
    accessibility \
    dbus \
    evdev \
    examples \
    fontconfig \
    freetype \
    openssl \
    release \
    sql-sqlite \
    sql-sqlite2 \
    udev \
    widgets \
	tslib \
    ${PACKAGECONFIG_DISTRO} \
    ${PACKAGECONFIG_FB} \
    ${PACKAGECONFIG_FONTS} \
    ${PACKAGECONFIG_MULTIMEDIA} \
    ${PACKAGECONFIG_SYSTEM} \
    ${PACKAGECONFIG_GL} \
    ${PACKAGECONFIG_X11} \
"

PACKAGECONFIG_mx3 = " \
    accessibility \
    dbus \
    evdev \
    examples \
    fontconfig \
    freetype \
    openssl \
    release \
    sql-sqlite \
    sql-sqlite2 \
    udev \
    widgets \
	tslib \
    ${PACKAGECONFIG_DISTRO} \
    ${PACKAGECONFIG_FB} \
    ${PACKAGECONFIG_FONTS} \
    ${PACKAGECONFIG_MULTIMEDIA} \
    ${PACKAGECONFIG_SYSTEM} \
	gles2 \
	linuxfb \
	icu \
"

do_install_append() {

	if [ "${USE_X11}" = "no" ]; then
		install -d ${D}${sysconfdir}/profile.d/
		install -m 0755 ${WORKDIR}/qt5-touch-config.sh ${D}${sysconfdir}/profile.d/
	fi
}

# Many examples come with libraries installed outside of standard libdir,
# suppress QA check complaining
INSANE_SKIP_${PN}-examples += "libdir"
INSANE_SKIP_${PN}-examples-dbg += "libdir"
INSANE_SKIP_${PN}-examples-dev += "libdir"
