DESCRIPTION = "Qt Widget Extension for Technical Applications"
SECTION = "libs"

# LGPLv2.1 + some exceptions
LICENSE = "QWTv1.0"
LIC_FILES_CHKSUM = "file://COPYING;md5=dac2743472b0462ff3cfb4af42051c88"

inherit qmake5
DEPENDS = "qtbase qtsvg"

SRC_URI = "${SOURCEFORGE_MIRROR}/qwt/qwt-${PV}.tar.bz2;name=qwt \
           file://qwt6-fix-linking-with-ld-gold.patch"

FILESEXTRAPATHS_prepend := "${BSPDIR}/sources/meta-openembedded/meta-oe/recipes-qt/qwt/files:"

PR = "r0"

SRC_URI[qwt.md5sum] = "aef0437b37f191067a6a9dc01c30ba64"
SRC_URI[qwt.sha256sum] = "a7e3d9f1db917d186a973c5f04a316bc9607c7c35794d7a16de323aba5e17402"

RPROVIDES_${PN}-dev = "libqwt-dev"

S = "${WORKDIR}/qwt-${PV}"

do_configure_prepend() {
    sed -i -e 's:/usr/local/qwt-$$QWT_VERSION:${D}${prefix}:g' ${S}/*.pri
    sed -e 's/QWT_CONFIG     += QwtDesigner/#QWT_CONFIG     += QwtDesigner/g' -i ${S}/qwtconfig.pri
}

do_install() {
    oe_runmake -e install
    install -d ${D}${datadir}/doc/${PN}
    mv ${D}${prefix}/doc/* ${D}${datadir}/doc/${PN}/
    rmdir ${D}${prefix}/doc

    if [ -e ${S}/examples/bin${QT_LIBINFIX} ] ; then
        cd ${S}/examples
        install -d ${D}/${bindir}
        cd bin${QT_LIBINFIX}/
        for i in * ; do
            cp -pPR ${i} ${D}/${bindir}/${i}${QT_LIBINFIX}
        done
    fi
	if [ -e ${D}${prefix}/plugins ] ; then
		install -d ${D}${libdir}/${QT_DIR_NAME}
		mv ${D}${prefix}/plugins ${D}${libdir}/${QT_DIR_NAME}
	fi
}

PACKAGES_prepend = "${PN}-examples ${PN}-features ${PN}-plugins "
FILES_${PN}-examples = "${bindir}/*"
FILES_${PN}-features = "${prefix}/features"
FILES_${PN}-plugins = "${libdir}/${QT_DIR_NAME}/plugins/designer/*.so"
FILES_${PN}-dbg += "${libdir}/${QT_DIR_NAME}/plugins/designer/.debug"
